{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Quiz Timings
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Set Quiz Timings
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">

            </div>
        </div>

        <div class="col-md-8 col-md-offset-2">
            <br>
            <form id="submitForm" method="POST">{% csrf_token %}
                <input type="hidden" name="confirmQuizTime" value="">
                <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCourseInstance.pk }}">
                <input type="hidden" name="hiddenUnitTestNumber" value="{{ unitTestNumber }}">
                <div class="form-horizontal form-label-left">
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Start Date
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="form-control has-feedback-left"
                                   id="startDatePicker" placeholder="Start Date"
                                   name="startDate"
                                   type="text" required readonly
                                   {% if startDate %}value="{{ startDate }}"{% endif %}
                            >
                            <span class="fa fa-calendar-o form-control-feedback left"
                                  aria-hidden="true"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Start Time
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="form-control has-feedback-left"
                                   id="startTimePicker" placeholder="Start Time"
                                   name="startTime"
                                   type="text" required readonly
                                   {% if startTime %}value="{{ startTime }}"{% endif %}
                            >
                            <span class="fa fa-clock-o form-control-feedback left"
                                  aria-hidden="true"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            End Date
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="form-control has-feedback-left"
                                   id="endDatePicker" placeholder="End Date"
                                   name="endDate"
                                   type="text" required readonly
                                   {% if endDate %}value="{{ endDate }}"{% endif %}
                            >
                            <span class="fa fa-calendar-o form-control-feedback left"
                                  aria-hidden="true"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            End Time
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="form-control has-feedback-left"
                                   id="endTimePicker" placeholder="End Time"
                                   name="endTime"
                                   type="text" required readonly
                                   {% if endTime %}value="{{ endTime }}"{% endif %}
                            >
                            <span class="fa fa-clock-o form-control-feedback left"
                                  aria-hidden="true"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Test Duration (in mins)
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="form-control has-feedback-left"
                                   id="testDuration" placeholder="Test Duration"
                                   name="testDuration"
                                   type="number" required
                                    {% if timeDuration %}
                                   value="{{ timeDuration }}"
                                    {% else %}
                                   value="30"
                                    {% endif %}
                            >
                            <span class="fa fa-clock-o form-control-feedback left"
                                  aria-hidden="true"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <button id="setTime" type="button" class="btn1 btn-indigo">Set Time</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>





    <script type="text/javascript">
        $('#startTimePicker').timepicker({
            timeFormat: 'hh:mm p',
            interval: 10,
            startTime: '8:00',
            dynamic: false,
            dropdown: true,
            scrollbar: true
        });

        $('#endTimePicker').timepicker({
            timeFormat: 'hh:mm p',
            interval: 10,
            startTime: '8:15',
            dynamic: false,
            dropdown: true,
            scrollbar: true
        });

        $(function () {
            $("#startDatePicker").datepicker({dateFormat: 'dd/mm/yy'});
        });

        $(function () {
            $("#endDatePicker").datepicker({
                dateFormat: 'dd/mm/yy'
            });
        });

        $(document).on("focusin", '#endDatePicker', function (e) {
            $('#endDatePicker').val($('#startDatePicker').val());
        });

        $(document).on("click", '#setTime', function (e) {
            var start_date = $('#startDatePicker').val();
            var end_date = $('#endDatePicker').val();
            var start_time = $('#startTimePicker').val();
            var end_time = $('#endTimePicker').val();
            var testDuration = $('#testDuration').val();
            var time = start_time;
            var hours = Number(time.match(/^(\d+)/)[1]);
            var minutes = Number(time.match(/:(\d+)/)[1]);
            var AMPM = time.match(/\s(.*)$/)[1];
            if (AMPM == "PM" && hours < 12) hours = hours + 12;
            if (AMPM == "AM" && hours == 12) hours = hours - 12;
            var sHours = hours.toString();
            var sMinutes = minutes.toString();
            if (hours < 10) sHours = "0" + sHours;
            if (minutes < 10) sMinutes = "0" + sMinutes;
            //alert(sHours + ":" + sMinutes);
            time = end_time;
            hours = Number(time.match(/^(\d+)/)[1]);
            minutes = Number(time.match(/:(\d+)/)[1]);
            AMPM = time.match(/\s(.*)$/)[1];
            if (AMPM == "PM" && hours < 12) hours = hours + 12;
            if (AMPM == "AM" && hours == 12) hours = hours - 12;
            var eHours = hours.toString();
            var eMinutes = minutes.toString();
            if (hours < 10) eHours = "0" + eHours;
            if (minutes < 10) eMinutes = "0" + eMinutes;
            //alert(eHours + ":" + eMinutes);
            if (start_date == '') {
                alert('Start Date required!');
                return;
            }
            if (start_time == '') {
                alert('Start Time required!');
                return;
            }
            if (end_date == '') {
                alert('End Date required!');
                return;
            }
            if (end_time == '') {
                alert('End Time required!');
                return;
            }
            if (end_date < start_date) {
                alert('End date > Start date Required!');
                return;
            }
            if (start_date == end_date) {
                if (eHours == sHours) {
                    if (eMinutes < sMinutes) {
                        alert('End time > Start time Required!');
                        return;
                    }
                }
                if (eHours < sHours) {
                    alert('End time > Start time Required!');
                    return;
                }
            }
            if (parseInt(testDuration) <= 0) {
                alert('Test Duration >= 1 mins required!');
                return;
            }
            var total_mins = 0;
            if (eHours == sHours) {
                total_mins = eMinutes - sMinutes;
            }
            else {
                total_mins = (eHours - sHours) * 60;
                total_mins = total_mins + (eMinutes - sMinutes);
            }
            if (parseInt(testDuration) > total_mins) {
                alert('Test Duration does not fit into the Scheduled time!');
                return;
            }
            $('#submitForm').submit();
        });

    </script>

{% endblock %}